# EffectSingleCase | oops-framework
Documentation for oops-framework

# Class EffectSingleCase

动画特效对象池管理器

#### Hierarchy

- EffectSingleCase

- Defined in assets/libs/animator-effect/EffectSingleCase.ts:28

#####
Index

### Constructors

constructor

### Properties

effects
_instance

### Accessors

instance

### Methods

clear
loadAndShow
onHandler
put
show

## Constructors

### constructor

- new EffectSingleCase(): EffectSingleCase

- #### Returns EffectSingleCase

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:39

## Properties

### `Private` effects

effects: Map<string, NodePool> = ...

- Defined in assets/libs/animator-effect/EffectSingleCase.ts:37

### `Static` `Private` _instance

_instance: EffectSingleCase

- Defined in assets/libs/animator-effect/EffectSingleCase.ts:29

## Accessors

### `Static` instance

- get instance(): EffectSingleCase

- #### Returns EffectSingleCase

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:30

## Methods

### clear

- clear(name?: string): void

- 清除对象池数据

  #### Parameters

  - ##### `Optional` name: string

    参数为空时，清除所有对象池数据;指定名时，清楚指定数据

  #### Returns void

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:120

### loadAndShow

- loadAndShow(name: string, parent?: Node, params?: IEffectParams): Promise<Node>

- 加载资源并现实特效

  #### Parameters

  - ##### name: string

  - ##### `Optional` parent: Node

  - ##### `Optional` params: IEffectParams

  #### Returns Promise<Node>

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:50

### `Private` onHandler

- onHandler(event: string, args: any): void

- #### Parameters

  - ##### event: string

  - ##### args: any

  #### Returns void

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:43

### put

- put(node: Node): void

- 回收对象

  #### Parameters

  - ##### node: Node

    节点

  #### Returns void

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:108

### show

- show(name: string, parent?: Node, params?: IEffectParams): Node

- 显示预制对象

  #### Parameters

  - ##### name: string

    预制对象名称

  - ##### `Optional` parent: Node

    父节点

  - ##### `Optional` params: IEffectParams

  #### Returns Node

  - Defined in assets/libs/animator-effect/EffectSingleCase.ts:77

Generated using TypeDoc